Bug 1071330 - Shutdown takes very long time to be completed
Shutdown takes very long time to be completed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-05 15:56 UTC by Ivan Levshin
Modified: 2018-06-19 07:24 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
jslaby: needinfo? (ivan.levshin)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Levshin 2017-12-05 15:56:20 UTC
I have a problem: when I do shutdown, it takes a very long time (up to 30-40 minutes) to be completed.

I had this problem before, after update to 4.10.x (or 4.11.x) kernel but then after another system (and kernel) update it was fixed. Now I see that after update to latest kernel version available in standard TW repo (4.14.2-1.7) this problem appeared again.

During shutdown I see some processes waiting to be completed: last time it was "WPA Supplicant" process.

Also I'd like to say that it looks like I have ACPI problem on my machine: every boot I see some ACPI warnings. Not sure if it's related but probably that will be useful for you to know.

I'm using MSI GS40 laptop with latest available BIOS from MSI.

ivan@mynote:~> uname -a
Linux mynote.levshin.site 4.14.2-1-default #1 SMP PREEMPT Fri Nov 24 08:20:07 UTC 2017 (b0610fc) x86_64 x86_64 x86_64 GNU/Linux
ivan@mynote:~> rpm -qa|grep kernel
kernel-default-4.14.1-1.4.x86_64
kernel-default-devel-4.14.2-1.7.x86_64
kernel-default-4.14.2-1.7.x86_64
kernel-source-4.14.1-1.4.noarch
kernel-source-4.14.2-1.7.noarch
kernel-default-devel-4.14.1-1.4.x86_64
kernel-firmware-20171125-1.1.noarch
kernel-source-4.14.2-1.6.noarch
kernel-devel-4.14.1-1.4.noarch
kernel-devel-4.14.2-1.7.noarch
kernel-devel-4.14.2-1.6.noarch
kernel-macros-4.14.2-1.7.noarch
Comment 1 Jiri Slaby 2018-06-16 11:36:35 UTC
Does it still happen?


@systemd: Is there a way to debug shutdown with systemd?
Comment 4 Ivan Levshin 2018-06-19 06:36:07 UTC
Hi Jiri, Frank,

Problem doesn't exist anymore, as I remember it was solved by one of kernel updates. Please close this bugreport.
Comment 5 Jiri Slaby 2018-06-19 07:24:44 UTC
thanks